#include "Pause.h"
#include "SystemUtils.h"
#include "Images.h"
#include "math.h"

static unsigned char BitMap[640*480*4];//  
static struct TImage Disp = {640,480,BitMap};//

void StartDemo(void)
{
  int x,y,line;
 
  SetPause(16);//fps ~= 60

  imgClear(Disp,0xFF000000);// 
  
  while(1)
  {
    for(y=0;y!=Disp.height;y++)
    {
      line = y*Disp.width;
      for(x=0;x!=Disp.width;x++)
      {
        Disp.pBitMap[( (x + line)<<2 )+0] = (unsigned char)( y/(Disp.height/256.0) );//B
        Disp.pBitMap[( (x + line)<<2 )+2] = (unsigned char)( x/(Disp.width/256.0) );//R
      }
    }
    DrawBuffer(Disp);//  
    Pause();
  }
}